import java.util.Random;

/**
  * Stellt einen Würfel für Würfelspiele bereit. Per Zufall wird jeweils der nächste
  * Wurf ermittelt.
  *
  * @version 1.0 vom 19.06.2012
  * @author Thomas Schaller
  */
  
public class Wuerfel {
  
  // Anfang Attribute
  private int wurf;  // letzter Wurf
  private Random zufallszahlen = new Random(); // Hilfsklasse für Zufallszahlen
  // Ende Attribute
  
  /** Erzeugt einen Würfel und würfelt ein erstes Mal, um eine zufällige Seite oben
  * liegen zu lassen.
  */
  public Wuerfel() {
    wuerfeln();
  }
  
  // Anfang Methoden
  /** Liefert das Ergebnis des letzten Würfelns.
  * @return wurf Augenzahl des letzten Wurfs.
  */
  public int getWurf() {
    return wurf;
  }
  
  /** Würfelt den Würfel. Eine neue Zufallszahl wird bestimmt.
  */
  public void wuerfeln() {
    wurf = zufallszahlen.nextInt(6)+1;
  }

  // Ende Methoden
} // end of Wuerfel
